import sys, os
import Photo
from Products.CMFCore import utils, DirectoryView
from Products.CMFPhoto.config import PROJECTNAME, GLOBALS, SKINS_DIR, SKINNAME
from Products.CMFPhoto.config import ADD_CONTENT_PERMISSION

bases = (Photo.Photo, )
photo_globals = GLOBALS

this_module = sys.modules[__name__]
z_bases = utils.initializeBasesPhase1(bases, this_module)

DirectoryView.registerDirectory(SKINS_DIR, GLOBALS)


def initialize(registrar):
    utils.initializeBasesPhase2(z_bases, registrar)
    utils.ContentInit(
        PROJECTNAME,
        content_types = bases,
        permission = ADD_CONTENT_PERMISSION,
        extra_constructors = (Photo.addPhoto, ),
        fti = (Photo.factory_type_information, ),
        ).initialize(registrar)

